Subject: RE: TRIP for gateway registrations

From: "Francois Audet" <[email-masked]>
Date: Fri, 10 Mar 2000 13:09:24 -0500

I would point out that H.323 RAS messages are not normally 
used to register a range of phone numbers for gateways as it 
is quite impractical, especially for gateways handling a large 
number of phone numbers, and when keep-alive messages are used.

While some implementations uses tricks such as registering 
"dialling prefixes" to map to telephone number, it is not the
intent of prefixes which are supposed to be used for special services.

Normally, a gateway registers an alias with its gatekeeper and the binding
between the alias and the range of phone numbers handled by the 
gateway is "manually" configured in the gatekeeper, as described
in the draft. I would think that TRIP could automate this process.

> -----Original Message-----
> From: Jonathan Rosenberg [mailto:[email-masked]]
> Sent: Thursday, March 09, 2000 11:33 PM
> To: [email-masked]; 
> [email-masked]
> Subject: TRIP for gateway registrations
> 
> 
> Folks,
> 
> Every once in a while, the question comes up of why SIP 
> REGISTER is not
> the right vehicle for allowing gateways to register phone 
> prefixes with
> a proxy. I believe TRIP is far better for this purpose. As it 
> turns out,
> a small subset of TRIP is needed to solve this problem, and yet its
> still interoperable with full blown TRIP. Hussein Salama and I have
> written an I-D that discusses this. Until it appears in the archives,
> you can pick up a copy at:
> 
> http://www.cs.columbia.edu/~jdrosen/papers/draft-rs-trip-gw-00.txt
> 
> Thanks,
> Jonathan R.
> -- 
> Jonathan D. Rosenberg                       200 Executive Drive
> Chief Scientist                             Suite 120 
> dynamicsoft                                 West Orange, NJ 07052
> [email-masked]                     FAX:   (732) 741-4778
> http://www.cs.columbia.edu/~jdrosen         PHONE: (732) 741-7244
> http://www.dynamicsoft.com
> 
>